| OpenGL-2.4.0.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Selection

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 5.2 (Selection) of the OpenGL 2.1 specs.
Documentation

data HitRecord | Source

Constructors

HitRecord GLfloat GLfloat [Name] |

Instances

Eq HitRecord
Ord HitRecord
Show HitRecord

getHitRecords :: GLsizei -> IO a -> IO (a, Maybe [HitRecord]) | Source

newtype Name | Source

Constructors

Name GLuint |

Instances

Eq Name
Ord Name
Show Name

withName :: Name -> IO a -> IO a | Source

loadName :: Name -> IO () | Source

maxNameStackDepth :: GettableStateVar GLsizei | Source

nameStackDepth :: GettableStateVar GLsizei | Source

data RenderMode | Source

Constructors

Render |
Feedback |
Select |

Instances

Eq RenderMode
Ord RenderMode
Show RenderMode

renderMode :: GettableStateVar RenderMode | Source

Produced by Haddock version 2.4.2